Bug 152524 - Evolution crashes on exit
Evolution crashes on exit
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 18:23 EST by John (J5) Palmieri
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 13:08:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John (J5) Palmieri 2005-03-29 18:23:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Epiphany/1.5.8

Description of problem:
Here is the backtrace from gdb:

#0  0x00ea5ada in camel_vee_folder_get_location ()
   from /usr/lib/libcamel-provider-1.2.so.3
#1  0x065a7553 in camel_object_trigger_event () from /usr/lib/libcamel-1.2.so.0
#2  0x00ea6057 in camel_vee_folder_get_location ()
   from /usr/lib/libcamel-provider-1.2.so.3
#3  0x00ea4658 in camel_vee_folder_remove_folder ()
   from /usr/lib/libcamel-provider-1.2.so.3
#4  0x00ea67cf in camel_vee_folder_get_location ()
   from /usr/lib/libcamel-provider-1.2.so.3
#5  0x065a7369 in camel_object_unref () from /usr/lib/libcamel-1.2.so.0
#6  0x034d94d9 in vfolder_gui_add_from_address ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#7  0x00393a62 in g_hash_table_foreach () from /usr/lib/libglib-2.0.so.0
#8  0x034d9527 in mail_vfolder_shutdown ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#9  0x034c67cc in mail_component_get_type ()
   from /usr/lib/evolution/2.2/components/libevolution-mail.so
#10 0x00106c2c in _ORBIT_skel_small_GNOME_Evolution_Component_quit ()
   from /usr/lib/evolution/2.2/libeshell.so.0
#11 0x0032858d in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#12 0x0010815b in GNOME_Evolution_Component_quit ()
   from /usr/lib/evolution/2.2/libeshell.so.0
#13 0x08060238 in e_shell_close_all_windows ()
---Type <return> to continue, or q <return> to quit---
#14 0x080603f4 in e_shell_quit ()
#15 0x08060544 in e_shell_request_close_window ()
#16 0x080605b5 in e_shell_request_close_window ()
#17 0x00653e72 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#18 0x00426172 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#19 0x004359bb in g_signal_connect_closure_by_id ()
   from /usr/lib/libgobject-2.0.so.0
#20 0x00436e7b in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#21 0x0043747b in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#22 0x0072f7e3 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#23 0x00652b9c in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x00867ce4 in gdk_screen_get_setting () from /usr/lib/libgdk-x11-2.0.so.0
#25 0x003a046e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#26 0x003a3476 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#27 0x003a3763 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#28 0x0620f625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#29 0x0806391f in main ()


Version-Release number of selected component (if applicable):
evolution-2.2.1.1-2

How reproducible:
Always

Steps to Reproduce:
1. Start evolution
2. Wait for it to get all mail and update v-folders
3. close evolution
  

Actual Results:  Evolution crashes

Expected Results:  it should exit normaly

Additional info:

I use a hell of a lot of v folders
Comment 1 Dave Malcolm 2005-03-30 13:08:41 EST
John, please can you file this in the upstream bugzilla.ximian.com? (anc CC me
on the bug when you do)

Note You need to log in before you can comment on or make changes to this bug.